io.vertx.reactivex.ext.web.validation.builder

## Class StyledParameterProcessorFactory

- java.lang.Object
- - io.vertx.reactivex.ext.web.validation.builder.StyledParameterProcessorFactory

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate

      public class StyledParameterProcessorFactory
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  This interface is used to build complex parameter processors supported only in cookie & query.
  Look at `Parameters` for all available factories

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<StyledParameterProcessorFactory>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StyledParameterProcessorFactory(Object delegate)`
    `StyledParameterProcessorFactory(StyledParameterProcessorFactory delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `io.vertx.ext.web.validation.impl.parameter.ParameterProcessor` | `create(io.vertx.ext.web.validation.impl.ParameterLocation location, SchemaParser parser)`
    `boolean` | `equals(Object o)`
    `StyledParameterProcessorFactory` | `getDelegate()`
    `int` | `hashCode()`
    `static StyledParameterProcessorFactory` | `newInstance(StyledParameterProcessorFactory arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<StyledParameterProcessorFactory> __TYPE_ARG

  - ### Constructor Detail

    - #### StyledParameterProcessorFactory

          public StyledParameterProcessorFactory(StyledParameterProcessorFactory delegate)

    - #### StyledParameterProcessorFactory

          public StyledParameterProcessorFactory(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public StyledParameterProcessorFactory getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### create

          public io.vertx.ext.web.validation.impl.parameter.ParameterProcessor create(io.vertx.ext.web.validation.impl.ParameterLocation location,
                                                                                      SchemaParser parser)

    - #### newInstance

          public static StyledParameterProcessorFactory newInstance(StyledParameterProcessorFactory arg)

Copyright © 2025 Eclipse. All rights reserved.